#!/usr/bin/env kjscmd

//
// The standard 'scribble' application coded using kjsembed
//


var scribble = new TQWidget(this);
scribble.line=false;
var x=0;
var y=0;

scribble.mousePressEvent = function(ev)
{
  if ( ev.button == 2 ) {
    this.drawText(ev.x,ev.y,'KJSEmbed!');
  }
  else {
    x = ev.x;
    y = ev.y;
    line=true;
  }
}

scribble.mouseReleaseEvent = function(ev)
{
  if ( line )
    this.drawLine(x,y,ev.x,ev.y);
  line = false;
}

scribble.show();
application.exec();

